Get credit usage history
curl --request GET \
--url https://api.urltodata.ai/v1/account/usage \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.urltodata.ai/v1/account/usage"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.urltodata.ai/v1/account/usage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"transactions": [
{
"id": "<string>",
"amount": 123,
"type": "<string>",
"description": "<string>",
"job_id": "<string>",
"created_at": 123
}
],
"limit": 123,
"offset": 123,
"total": 123
}{
"error": "<string>",
"message": "<string>",
"details": "<string>",
"documentationUrl": "<string>"
}API Reference
Get credit usage history
GET
/
v1
/
account
/
usage
Get credit usage history
curl --request GET \
--url https://api.urltodata.ai/v1/account/usage \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.urltodata.ai/v1/account/usage"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.urltodata.ai/v1/account/usage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"transactions": [
{
"id": "<string>",
"amount": 123,
"type": "<string>",
"description": "<string>",
"job_id": "<string>",
"created_at": 123
}
],
"limit": 123,
"offset": 123,
"total": 123
}{
"error": "<string>",
"message": "<string>",
"details": "<string>",
"documentationUrl": "<string>"
}Authorizations
API key as Bearer token (e.g. Bearer mp_abc123_secret)
Query Parameters
Max transactions to return
Pagination offset
Filter by transaction type (grant, purchase, settled, clawback, etc.)